# area

return type | Number
syntax | $.geo.area( Object shape ( GeoJSON object ) )

usage

    var area = $.geo.area( {
          type: "Polygon",
          coordinates: [[
            [-75, 39.7],
            [-74.8, 39.3],
            [-75.2, 39.3],
            [-75, 39.7]
          ]]
    } )

The area method calculates the area of a basic GeoJSON geometry object and returns it in non-geodetic units. The basic shapes are Point, LineString and Polygon. If you are using geomap with its default map service, the area is in square meters because the default projection is web mercator meters.

While you can pass any basic geometry, this function returns the area of Polygon objects and 0 for objects of other shape types.

If the argument is not a basic GeoJSON geometry object, this function returns undefined.

This function is similar to Geometry.getArea in JTS.